GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Typedefs | Enumerations
frame.h File Reference
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/slice.h>`

Go to the source code of this file.

## Macros
#define | GRPC_CHTTP2_FRAME_DATA 0
#define | GRPC_CHTTP2_FRAME_HEADER 1
#define | GRPC_CHTTP2_FRAME_CONTINUATION 9
#define | GRPC_CHTTP2_FRAME_RST_STREAM 3
#define | GRPC_CHTTP2_FRAME_SETTINGS 4
#define | GRPC_CHTTP2_FRAME_PING 6
#define | GRPC_CHTTP2_FRAME_GOAWAY 7
#define | GRPC_CHTTP2_FRAME_WINDOW_UPDATE 8
#define | GRPC_CHTTP2_MAX_PAYLOAD_LENGTH ((1 << 14) - 1)
#define | GRPC_CHTTP2_DATA_FLAG_END_STREAM 1
#define | GRPC_CHTTP2_FLAG_ACK 1
#define | GRPC_CHTTP2_DATA_FLAG_END_HEADERS 4
#define | GRPC_CHTTP2_DATA_FLAG_PADDED 8
#define | GRPC_CHTTP2_FLAG_HAS_PRIORITY 0x20

## Typedefs
typedef struct grpc_chttp2_stream_parsing | grpc_chttp2_stream_parsing
typedef struct grpc_chttp2_transport_parsing | grpc_chttp2_transport_parsing

## Enumerations
enum | grpc_chttp2_parse_error { GRPC_CHTTP2_PARSE_OK, GRPC_CHTTP2_STREAM_ERROR, GRPC_CHTTP2_CONNECTION_ERROR }

## Macro Definition Documentation

#define GRPC_CHTTP2_DATA_FLAG_END_HEADERS 4

#define GRPC_CHTTP2_DATA_FLAG_END_STREAM 1

#define GRPC_CHTTP2_DATA_FLAG_PADDED 8

#define GRPC_CHTTP2_FLAG_ACK 1

#define GRPC_CHTTP2_FLAG_HAS_PRIORITY 0x20

#define GRPC_CHTTP2_FRAME_CONTINUATION 9

#define GRPC_CHTTP2_FRAME_DATA 0

#define GRPC_CHTTP2_FRAME_GOAWAY 7

#define GRPC_CHTTP2_FRAME_HEADER 1

#define GRPC_CHTTP2_FRAME_PING 6

#define GRPC_CHTTP2_FRAME_RST_STREAM 3

#define GRPC_CHTTP2_FRAME_SETTINGS 4

#define GRPC_CHTTP2_FRAME_WINDOW_UPDATE 8

#define GRPC_CHTTP2_MAX_PAYLOAD_LENGTH ((1 << 14) - 1)

## Typedef Documentation

typedef struct grpc_chttp2_stream_parsing grpc_chttp2_stream_parsing

typedef struct grpc_chttp2_transport_parsing grpc_chttp2_transport_parsing

## Enumeration Type Documentation

enum grpc_chttp2_parse_error

Enumerator
GRPC_CHTTP2_PARSE_OK |
GRPC_CHTTP2_STREAM_ERROR |
GRPC_CHTTP2_CONNECTION_ERROR |